com.h3c.sdn.backup

## Enum BackupStatus.ErrStatus

- java.lang.Object
- - java.lang.Enum<BackupStatus.ErrStatus>
  - - com.h3c.sdn.backup.BackupStatus.ErrStatus

- All Implemented Interfaces:
    Serializable, Comparable<BackupStatus.ErrStatus>
  Enclosing class:
    BackupStatus

      public static enum BackupStatus.ErrStatus
      extends Enum<BackupStatus.ErrStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPLETED`
    `FAILED`
    `IN_DETERMINATED`
    `IN_PROGRESS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Get code for the Status.
    `String` | `getDescription()` Get description for the Status.
    `static BackupStatus.ErrStatus` | `getStatus(int i)` Get Status object.
    `void` | `setCode(int statusCode)`
    `void` | `setDescription(String desc)`
    `static BackupStatus.ErrStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BackupStatus.ErrStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IN_DETERMINATED

          public static final BackupStatus.ErrStatus IN_DETERMINATED

    - #### IN_PROGRESS

          public static final BackupStatus.ErrStatus IN_PROGRESS

    - #### COMPLETED

          public static final BackupStatus.ErrStatus COMPLETED

    - #### FAILED

          public static final BackupStatus.ErrStatus FAILED

  - ### Method Detail

    - #### values

          public static BackupStatus.ErrStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BackupStatus.ErrStatus c : BackupStatus.ErrStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BackupStatus.ErrStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getStatus

          public static BackupStatus.ErrStatus getStatus(int i)

      Get Status object.
      Parameters:
        `i` - integer value
      Returns:
        s Status

    - #### getCode

          public int getCode()

      Get code for the Status.
      Returns:
        statusCode integer

    - #### getDescription

          public String getDescription()

      Get description for the Status.
      Returns:
        description String

    - #### setCode

          public void setCode(int statusCode)

    - #### setDescription

          public void setDescription(String desc)

Copyright © 2014. All Rights Reserved.